%define	version	0.5.1
%define release	2mdk

Summary:	Python module for editing ID3v2 tags of MP3 audio files
Name:		pyid3lib
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sound
URL:		http://pyid3lib.sourceforge.net/
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libid3-devel
BuildRequires:	zlib-devel
BuildRequires:	python-devel

%description
%{name} is a Python module for editing ID3v2 tags of MP3 audio files.

%prep
%setup -q
chmod -R go+rX .

%build
%{_bindir}/python setup.py build

%install
rm -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc.html README
%{_libdir}/python?.?/site-packages/*

%changelog
* Fri Nov 28 2003 Abel Cheung <deaddog@deaddog.org> 0.5.1-2mdk
- rpmlint fixes

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.5.1-1mdk
- First Mandrake package
